summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Thomas Morper <thomas@beingboiled.info>2010-05-13 00:59:11 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:59:11 +0200
commit1c6d0153f0ece1fbf6002ccdf89ee2d5cbc53525 (patch)
tree20bfb1f4aad4aff8ba92738c12fb1d4e95d117e2 /libraries
parent18b572b185610ff004f7bb579e10ecb3f0d9ac34 (diff)
downloadslackbuilds-1c6d0153f0ece1fbf6002ccdf89ee2d5cbc53525.tar.gz
slackbuilds-1c6d0153f0ece1fbf6002ccdf89ee2d5cbc53525.tar.xz
libraries/perl-dbd-sqlite: Added to 13.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-dbd-sqlite/README1
-rw-r--r--libraries/perl-dbd-sqlite/perl-dbd-sqlite.SlackBuild88
-rw-r--r--libraries/perl-dbd-sqlite/perl-dbd-sqlite.info10
-rw-r--r--libraries/perl-dbd-sqlite/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/libraries/perl-dbd-sqlite/README b/libraries/perl-dbd-sqlite/README
new file mode 100644
index 0000000000..3b7c134fef
--- /dev/null
+++ b/libraries/perl-dbd-sqlite/README
@@ -0,0 +1 @@
+DBD::SQLite - Self-contained RDBMS in a DBI Driver
diff --git a/libraries/perl-dbd-sqlite/perl-dbd-sqlite.SlackBuild b/libraries/perl-dbd-sqlite/perl-dbd-sqlite.SlackBuild
new file mode 100644
index 0000000000..27267802d3
--- /dev/null
+++ b/libraries/perl-dbd-sqlite/perl-dbd-sqlite.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for DBD::SQLite
+# Written by Thomas Morper <thomas@beingboiled.info>
+
+PRGNAM=perl-dbd-sqlite
+VERSION=${VERSION:-1.29}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_PRGNAM=DBD-SQLite
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+SLKOPTIMIZE="-O2"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRC_PRGNAM-$VERSION
+tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
+cd $SRC_PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL CCFLAGS="$SLKCFLAGS" OPTIMIZE="$SLKOPTIMIZE" INSTALLDIRS=vendor
+make
+make test
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Move man pages
+mv $PKG/usr/share/man $PKG/usr/
+rm -rf $PKG/usr/share
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+# Remove empty leftovers
+rm -rf $PKG/usr/lib$LIBDIRSUFFIX/perl5/5.10.0
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes LICENSE MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-dbd-sqlite/perl-dbd-sqlite.info b/libraries/perl-dbd-sqlite/perl-dbd-sqlite.info
new file mode 100644
index 0000000000..e462e36d19
--- /dev/null
+++ b/libraries/perl-dbd-sqlite/perl-dbd-sqlite.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-dbd-sqlite"
+VERSION="1.29"
+HOMEPAGE="http://search.cpan.org/~adamk/DBD-SQLite/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/DBD-SQLite-1.29.tar.gz"
+MD5SUM="2a47cea6ecff62508775d90151a8030f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Thomas Morper"
+EMAIL="thomas@beingboiled.info"
+APPROVED="Erik Hanson"
diff --git a/libraries/perl-dbd-sqlite/slack-desc b/libraries/perl-dbd-sqlite/slack-desc
new file mode 100644
index 0000000000..d33f0834d4
--- /dev/null
+++ b/libraries/perl-dbd-sqlite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-dbd-sqlite: perl-dbd-sqlite (RDBMS perl module)
+perl-dbd-sqlite:
+perl-dbd-sqlite: DBD::SQLite - Self-contained RDBMS in a DBI Driver
+perl-dbd-sqlite:
+perl-dbd-sqlite:
+perl-dbd-sqlite:
+perl-dbd-sqlite:
+perl-dbd-sqlite:
+perl-dbd-sqlite:
+perl-dbd-sqlite:
+perl-dbd-sqlite: